import cloneDeep from 'lodash/cloneDeep';

export const mockMetricsListResponse = {
  metrics: [
    {
      name: 'app.ads.ad_requests',
      description: 'Counts ad requests by request and response type',
      attributes: ['app.ads.ad_request_type', 'app.ads.ad_response_type'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'app.frontend.requests',
      description: '',
      attributes: ['method', 'status', 'target'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'http.client.request.size',
      description: 'Measures the size of HTTP request messages.',
      attributes: ['http.method', 'http.status_code', 'net.peer.name', 'net.peer.port'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'http.server.active_requests',
      description: 'Number of active HTTP server requests.',
      attributes: [
        'http.method',
        'http.request.method',
        'http.status_code',
        'http.url',
        'service.name',
        'url.scheme',
      ],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'http.server.request.duration',
      description: 'Duration of HTTP server requests.',
      attributes: [
        'http.request.method',
        'http.response.status_code',
        'http.route',
        'network.protocol.version',
        'url.scheme',
      ],
      type: 'Histogram',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.consumer.records_per_request_avg',
      description: 'The average number of records in each request',
      attributes: ['client-id', 'topic'],
      type: 'Gauge',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'kafka.consumer.request_rate',
      description: 'The number of requests sent per second',
      attributes: ['client-id', 'node-id'],
      type: 'Gauge',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'kafka.consumer.request_size_avg',
      description: 'The average size of requests sent.',
      attributes: ['client-id', 'node-id'],
      type: 'Gauge',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'kafka.consumer.request_size_max',
      description: 'The maximum size of any request sent.',
      attributes: ['client-id', 'node-id'],
      type: 'Gauge',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'kafka.consumer.request_total',
      description: 'The total number of requests sent',
      attributes: ['client-id', 'node-id'],
      type: 'Sum',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'kafka.request.count',
      description: 'The number of requests received by the broker',
      attributes: ['type'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.request.failed',
      description: 'The number of requests to the broker resulting in a failure',
      attributes: ['type'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.request.queue',
      description: 'Size of the request queue',
      attributes: [],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.request.time.50p',
      description: 'The 50th percentile time the broker has taken to service requests',
      attributes: ['type'],
      type: 'Gauge',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.request.time.99p',
      description: 'The 99th percentile time the broker has taken to service requests',
      attributes: ['type'],
      type: 'Gauge',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kafka.request.time.total',
      description: 'The total time the broker has taken to service requests',
      attributes: ['type'],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'kestrel.queued_requests',
      description:
        'Number of HTTP requests on multiplexed connections (HTTP/2 and HTTP/3) that are currently queued and are waiting to start.',
      attributes: [
        'network.protocol.name',
        'network.protocol.version',
        'network.transport',
        'network.type',
        'server.address',
        'server.port',
      ],
      type: 'Sum',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'rpc.client.request.size',
      description: 'Measures size of RPC request messages (uncompressed).',
      attributes: ['rpc.method', 'rpc.service', 'rpc.system'],
      type: 'Histogram',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'rpc.client.requests_per_rpc',
      description:
        'Measures the number of messages received per RPC. Should be 1 for all non-streaming RPCs.',
      attributes: ['rpc.grpc.status_code', 'rpc.method', 'rpc.service', 'rpc.system'],
      type: 'Histogram',
      last_ingested_at: 1728571856019206400,
    },
    {
      name: 'rpc.server.request.size',
      description: 'Measures size of RPC request messages (uncompressed).',
      attributes: ['rpc.method', 'rpc.service', 'rpc.system'],
      type: 'Histogram',
      last_ingested_at: 1728571888641974000,
    },
    {
      name: 'rpc.server.requests_per_rpc',
      description:
        'Measures the number of messages received per RPC. Should be 1 for all non-streaming RPCs.',
      attributes: ['rpc.grpc.status_code', 'rpc.method', 'rpc.service', 'rpc.system'],
      type: 'Histogram',
      last_ingested_at: 1728571888641974000,
    },
  ],
  all_available_attributes: [
    'app.ads.ad_request_type',
    'app.ads.ad_response_type',
    'app.payment.currency',
    'aspnetcore.routing.is_fallback',
    'aspnetcore.routing.match_status',
    'client-id',
    'count',
    'cpu',
    'currency_code',
    'db',
    'device',
    'direction',
    'dropped',
    'error.message',
    'family',
    'feature_flag.key',
    'feature_flag.provider_name',
    'feature_flag.reason',
    'feature_flag.variant',
    'generation',
    'http.flavor',
    'http.host',
    'http.method',
    'http.request.method',
    'http.response.status_code',
    'http.route',
    'http.scheme',
    'http.status_class',
    'http.status_code',
    'http.url',
    'jvm.gc.action',
    'jvm.gc.name',
    'jvm.memory.pool.name',
    'jvm.memory.type',
    'jvm.thread.daemon',
    'jvm.thread.state',
    'method',
    'net.host.name',
    'net.host.port',
    'net.peer.name',
    'net.peer.port',
    'network.protocol.name',
    'network.protocol.version',
    'network.transport',
    'network.type',
    'node-id',
    'number_of_items',
    'operation',
    'partition',
    'process.cpu.state',
    'processor',
    'processorType',
    'protocol',
    'recommendation.type',
    'rpc.grpc.status_code',
    'rpc.method',
    'rpc.service',
    'rpc.system',
    'server.address',
    'server.port',
    'service.name',
    'span.kind',
    'span.name',
    'state',
    'status',
    'status.code',
    'success',
    'target',
    'topic',
    'type',
    'url.scheme',
  ],
};

export const mockSumMetricWithTracesResponse = {
  start_ts: 1728571546334523000,
  end_ts: 1728571846334523000,
  results: [
    {
      name: 'app.ads.ad_requests',
      description: 'Counts ad requests by request and response type',
      unit: '',
      type: 'Sum',
      attributes: {
        'app.ads.ad_request_type': 'NOT_TARGETED',
        'app.ads.ad_response_type': 'RANDOM',
      },
      values: [
        ['1728571553000000000', '104473.000000', ['424c5762-de3c-8aa6-1fca-6c85dd4f8071']],
        [
          '1728571613000000000',
          '104475.000000',
          ['637f5de6-5669-ff7f-713c-3d06baa57277', '87031da0-4a80-e4b1-f7b0-23012c26e7d4'],
        ],
        ['1728571673000000000', '104475.000000', []],
        ['1728571733000000000', '104475.000000', []],
        [
          '1728571793000000000',
          '104478.000000',
          ['c0b97cd8-4a37-f820-3393-48196700fb7e', 'cf68c46f-88c6-fb30-41e5-e7c4bbb9ec07'],
        ],
      ],
    },
    {
      name: 'app.ads.ad_requests',
      description: 'Counts ad requests by request and response type',
      unit: '',
      type: 'Sum',
      attributes: {
        'app.ads.ad_request_type': 'TARGETED',
        'app.ads.ad_response_type': 'RANDOM',
      },
      values: [
        ['1728571553000000000', '103762.000000', []],
        ['1728571613000000000', '103762.000000', []],
        ['1728571673000000000', '103764.000000', ['41286451-9037-bc14-cf3d-22d96d5a4cb4']],
        ['1728571733000000000', '103764.000000', []],
        ['1728571793000000000', '103765.000000', ['71fd7408-4f12-7de0-6b08-e660793ad2c6']],
      ],
    },
    {
      name: 'app.ads.ad_requests',
      description: 'Counts ad requests by request and response type',
      unit: '',
      type: 'Sum',
      attributes: {
        'app.ads.ad_request_type': 'TARGETED',
        'app.ads.ad_response_type': 'TARGETED',
      },
      values: [
        [
          '1728571553000000000',
          '519286.000000',
          ['2a8b52ee-b467-efee-0787-c1475bb5bde0', '98ac818d-c708-63c5-dfae-d632ac8bfff6'],
        ],
        [
          '1728571613000000000',
          '519289.000000',
          ['44c35729-e41e-66bd-ecaa-45bba32ecaf1', 'eb806ca0-79f4-dd41-c515-914c4ee218b0'],
        ],
        ['1728571673000000000', '519290.000000', ['a7249f0b-d4bf-bab6-518d-6aa7f014fef2']],
        [
          '1728571733000000000',
          '519296.000000',
          [
            'b41e284c-9b38-ccff-6265-46a2cd74002d',
            'bf0f920b-3500-7d8f-0aa2-5d5a6489797d',
            '8e123e0c-1315-8f42-15ef-5bfa6715f81a',
          ],
        ],
        [
          '1728571793000000000',
          '519299.000000',
          ['db680440-0079-5f8e-3f5d-68feb46a0b3c', '778d6172-229e-17e8-94bd-bd74e41e9dc7'],
        ],
      ],
    },
  ],
};

export const mockSumMetricWithNoTracesResponse = cloneDeep(mockSumMetricWithTracesResponse);
mockSumMetricWithNoTracesResponse.results.forEach((result) => {
  // eslint-disable-next-line no-param-reassign
  result.values = result.values.map((v) => [
    v[0],
    v[1],
    [
      /* empty traces here */
    ],
  ]);
});

export const mockHistogramMetricWithTracesResponse = {
  start_ts: 1728571860409747000,
  end_ts: 1728572160409747000,
  results: [
    {
      name: 'rpc.server.duration',
      description: 'Measures the duration of inbound RPC.',
      unit: 'ms',
      type: 'Histogram',
      fingerprint: '',
      data: [
        {
          bucketsHash: 11011454705083642000,
          buckets: [
            '0.000',
            '5.000',
            '10.000',
            '25.000',
            '50.000',
            '75.000',
            '100.000',
            '250.000',
            '500.000',
            '750.000',
            '1000.000',
            '2500.000',
            '5000.000',
            '7500.000',
            '10000.000',
            '+Inf',
          ],
          distribution: [
            [
              ['1728571860000000000', '0.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '0.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '0.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '0.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '0.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '758193.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '758478.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '758756.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '759040.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '759287.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '11474.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '11474.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '11474.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '11474.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '11474.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '5872.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '5886.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '5901.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '5916.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '5930.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '7114.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '7122.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '7130.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '7138.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '7145.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '2939.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '2939.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '2940.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '2940.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '2940.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '508.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '508.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '508.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '508.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '508.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '365.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '365.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '365.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '365.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '365.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '212.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '212.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '212.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '212.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '212.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '105.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '105.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '105.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '105.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '105.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '82.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '82.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '82.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '82.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '82.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '191.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '191.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '191.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '191.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '191.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '29.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '30.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '30.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '30.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '30.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '17.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '17.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '17.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '17.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '17.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '11.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '11.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '11.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '11.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '11.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
            [
              ['1728571860000000000', '830.000000', ['4328de4b-2f64-3fb5-01b4-f3c9e4121f8b']],
              ['1728571920000000000', '834.000000', ['a8b3b31a-79bf-bdfd-8e1d-11d88fa2819b']],
              ['1728571980000000000', '837.000000', ['5f24d62c-e906-22c3-8aa0-debf0c4050be']],
              ['1728572040000000000', '839.000000', ['eafca727-3773-f1ac-3199-a8de11546242']],
              ['1728572100000000000', '840.000000', ['eca635b5-c34e-c5e0-2e5b-362ced2574fd']],
            ],
          ],
        },
      ],
    },
  ],
};

export const mockHistogramMetricWithNoTracesResponse = {
  start_ts: 1728571750492824800,
  end_ts: 1728572050492824800,
  results: [
    {
      name: 'jvm.gc.duration',
      description: 'Duration of JVM garbage collection actions.',
      unit: 's',
      type: 'Histogram',
      fingerprint: '',
      data: [
        {
          bucketsHash: 5884323223474682000,
          buckets: ['0.010', '0.100', '1.000', '10.000', '+Inf'],
          distribution: [
            [
              ['1728571740000000000', '18446744073709512704.000000', []],
              ['1728571800000000000', '18446744073709512704.000000', []],
              ['1728571860000000000', '18446744073709512704.000000', []],
              ['1728571920000000000', '18446744073709512704.000000', []],
              ['1728571980000000000', '18446744073709504512.000000', []],
            ],
            [
              ['1728571740000000000', '18446744073709551616.000000', []],
              ['1728571800000000000', '18446744073709551616.000000', []],
              ['1728571860000000000', '18446744073709551616.000000', []],
              ['1728571920000000000', '18446744073709551616.000000', []],
              ['1728571980000000000', '18446744073709551616.000000', []],
            ],
            [
              ['1728571740000000000', '18446744073709551616.000000', []],
              ['1728571800000000000', '18446744073709551616.000000', []],
              ['1728571860000000000', '18446744073709551616.000000', []],
              ['1728571920000000000', '18446744073709551616.000000', []],
              ['1728571980000000000', '18446744073709551616.000000', []],
            ],
            [
              ['1728571740000000000', '18446744073709551616.000000', []],
              ['1728571800000000000', '18446744073709551616.000000', []],
              ['1728571860000000000', '18446744073709551616.000000', []],
              ['1728571920000000000', '18446744073709551616.000000', []],
              ['1728571980000000000', '36893488147419103232.000000', []],
            ],
            [
              ['1728571740000000000', '0.000000', []],
              ['1728571800000000000', '0.000000', []],
              ['1728571860000000000', '0.000000', []],
              ['1728571920000000000', '0.000000', []],
              ['1728571980000000000', '0.000000', []],
            ],
          ],
        },
      ],
    },
  ],
};
