import { s__ } from '~/locale';

export const NO_LONGER_DETECTED_RULE_TYPE = 'no_longer_detected';

export const DEFAULT_VULNERABILITY_MANAGEMENT_POLICY = `vulnerability_management_policy:
  - name: ''
    description: ''
    enabled: true
    rules:
      - type: ${NO_LONGER_DETECTED_RULE_TYPE}
        scanners: []
        severity_levels: []
    actions:
      - type: auto_resolve
`;

export const VULNERABILITY_MANAGEMENT_POLICY_INVALID_ACTIONS_AND_RULES = `type: vulnerability_management_policy
name: ''
description: ''
enabled: true
rules:
  - type_invalid: ${NO_LONGER_DETECTED_RULE_TYPE}
    scanners: []
    severity_levels: []
actions:
  - type_invalid: auto_resolve
`;

export const VULNERABILITY_MANAGEMENT_POLICY_INVALID_ACTIONS_VALUES = `type: vulnerability_management_policy
name: ''
description: ''
enabled: true
rules:
  - type: ${NO_LONGER_DETECTED_RULE_TYPE}
    scanners: []
    severity_levels: []
actions:
  - type: auto_resolve_invalid
`;

export const ACTION_TYPES = {
  auto_resolve: s__('SecurityOrchestration|Resolved'),
};

export const ACTION_HUMANIZED_TEMPLATE = s__(
  'SecurityOrchestration|Then automatically set the status of these vulnerabilities to %{type}.',
);

export const RULE_HUMANIZED_TEMPLATE = s__(
  'SecurityOrchestration|If %{scanners} of the default branch finds %{severity_level} vulnerabilities are no longer detected.',
);
