# frozen_string_literal: true

module Resolvers
  module ComplianceManagement
    module SecurityPolicies
      class VulnerabilityManagementPolicyResolver < BaseResolver
        include ResolvesOrchestrationPolicy

        type ::Types::Security::VulnerabilityManagementPolicyType, null: true

        def resolve
          ::Gitlab::Graphql::Aggregations::SecurityOrchestrationPolicies::LazyComplianceFrameworkAggregate.new(
            context, object, :vulnerability_management_policies
          )
        end
      end
    end
  end
end
