# frozen_string_literal: true

module Types
  module Security
    # rubocop: disable Graphql/AuthorizeTypes -- authorization
    # this represents a hash, from the orchestration policy configuration
    # the authorization happens for that configuration
    class VulnerabilityManagementPolicyType < BaseObject
      graphql_name 'VulnerabilityManagementPolicy'
      description 'Represents the vulnerability management policy'

      implements Types::SecurityOrchestration::OrchestrationPolicyType

      field :source, Types::SecurityOrchestration::SecurityPolicySourceType,
        null: false,
        description: 'Source of the policy. Its fields depend on the source type.'
    end
    # rubocop: enable Graphql/AuthorizeTypes
  end
end
