# frozen_string_literal: true

module Types
  # rubocop: disable Gitlab/BoundedContexts -- relevant issue: https://gitlab.com/gitlab-org/gitlab/-/issues/477201
  module VulnerabilityDetails
    # rubocop: disable Graphql/AuthorizeTypes  -- type is authorized by the resolver
    class CodeFlowNodeType < BaseType
      graphql_name 'VulnerabilityDetailCodeFlowNode'
      description 'Represents the vulnerability details code flow node item'

      field :node_type, CodeFlowNodeTypeEnum,
        null: false, description: 'Node Type.'

      field :file_location, FileLocationType,
        null: false, description: 'Location of the file.'
    end
    # rubocop: enable Graphql/AuthorizeTypes
  end
  # rubocop: enable Gitlab/BoundedContexts
end
