# frozen_string_literal: true

module Types
  # rubocop: disable Gitlab/BoundedContexts -- relevant issue: https://gitlab.com/gitlab-org/gitlab/-/issues/477201
  module VulnerabilityDetails
    class CodeFlowNodeTypeEnum < BaseEnum
      graphql_name 'CodeFlowNodeType'
      description 'The code flow node type'

      value 'SOURCE', value: 'source', description: "Source node."
      value 'PROPAGATION', value: 'propagation', description: "Propagation node."
      value 'SINK', value: 'sink', description: "Sink node."
    end
    # rubocop: enable Gitlab/BoundedContexts
  end
end
