# frozen_string_literal: true

module Types
  # rubocop: disable Gitlab/BoundedContexts -- relevant issue: https://gitlab.com/gitlab-org/gitlab/-/issues/477201
  module VulnerabilityDetails
    # rubocop: disable Graphql/AuthorizeTypes -- type is authorized by the resolver
    class CodeFlowsType < BaseType
      graphql_name 'VulnerabilityDetailCodeFlows'
      description 'Represents the vulnerability details code flows item'

      field :items, [[CodeFlowNodeType]],
        null: false, description: 'List of flows represented by list of CodeFlowNodeItem.'

      def items
        object.fetch(:items, []).map do |flow|
          flow.map(&:symbolize_keys)
        end
      end
    end
    # rubocop: enable Graphql/AuthorizeTypes
  end
  # rubocop: enable Gitlab/BoundedContexts
end
