# frozen_string_literal: true

module Types
  module VulnerabilityDetails
    # rubocop: disable Graphql/AuthorizeTypes
    # The object rendered here is a hash, not a rich type we can authorize.
    # The authorization happens on the security report type
    # (Types::PipelineSecurityReportFindingType, Types::VulnerabilityType, ...)
    class NamedListItemType < BaseType
      graphql_name 'VulnerabilityDetailNamedListItem'
      description 'Represents the vulnerability details named list item'

      field :value, VulnerabilityDetailType,
        experiment: { milestone: '16.1' },
        null: false, description: 'Value of the field.'
    end
    # rubocop: enable Graphql/AuthorizeTypes
  end
end
