# frozen_string_literal: true

module Security
  module Policies
    module VulnerabilityManagement
      extend ActiveSupport::Concern

      included do
        scope :auto_resolve_policies, -> do
          type_vulnerability_management_policy
            .undeleted
            .enabled
            .where("content -> 'actions' @> ?", [{ "type" => "auto_resolve" }].to_json)
        end

        scope :auto_resolve_policies_with_rules, -> do
          auto_resolve_policies
            .includes(:vulnerability_management_policy_rules)
        end
      end
    end
  end
end
