# frozen_string_literal: true

module Sbom
  class OccurrencesVulnerability < ::Gitlab::Database::SecApplicationRecord
    belongs_to :occurrence, foreign_key: :sbom_occurrence_id, optional: false, inverse_of: :occurrences_vulnerabilities
    belongs_to :vulnerability, optional: false
    belongs_to :project

    scope :for_occurrence_ids, ->(occurrence_id) do
      where(sbom_occurrence_id: occurrence_id)
    end

    scope :ordered_by_vulnerability, -> { order(:vulnerability_id) }
  end
end
