# frozen_string_literal: true

module Vulnerabilities
  module Removal
    module Tasks
      class AbstractTaskScopedToVulnerability
        class << self
          attr_accessor :model
        end

        def initialize(vulnerability_ids)
          @vulnerability_ids = vulnerability_ids
        end

        def execute
          loop do
            deleted_count = self.class.model.by_vulnerability(vulnerability_ids).limit(100).delete_all

            break if deleted_count == 0
          end
        end

        private

        attr_reader :vulnerability_ids
      end
    end
  end
end
