# frozen_string_literal: true

module EE
  module API
    module Entities
      class Vulnerability < Grape::Entity
        expose :id
        expose :title
        expose :description

        expose :state
        expose :severity
        expose :report_type

        expose :project, using: ::API::Entities::ProjectIdentity

        expose :finding
        expose :resolved_on_default_branch
        expose :project_default_branch

        expose :author_id
        expose :resolved_by_id
        expose :dismissed_by_id
        expose :confirmed_by_id

        expose :created_at
        expose :updated_at
        expose :resolved_at
        expose :dismissed_at
        expose :confirmed_at

        # These fields are deprecated and always returns nil
        # TODO remove with https://gitlab.com/gitlab-org/gitlab/-/work_items/431990
        expose(:last_edited_at) { |_settings, _options| nil }
        expose(:start_date) { |_settings, _options| nil }
        expose(:updated_by_id) { |_settings, _options| nil }
        expose(:last_edited_by_id) { |_settings, _options| nil }
        expose(:due_date) { |_settings, _options| nil }
      end
    end
  end
end
