# frozen_string_literal: true

module Gitlab
  module Llm
    module Chain
      module Tools
        module ExplainVulnerability
          module Prompts
            class Anthropic
              include Concerns::AnthropicPrompt

              def self.prompt(variables)
                {
                  prompt: Utils::Prompt.role_conversation(
                    Utils::Prompt.format_conversation(
                      ::Gitlab::Llm::Chain::Tools::ExplainVulnerability::Executor::PROMPT_TEMPLATE,
                      variables
                    )
                  ),
                  options: { model: ::Gitlab::Llm::Anthropic::Client::CLAUDE_3_HAIKU }
                }
              end
            end
          end
        end
      end
    end
  end
end
