# frozen_string_literal: true

FactoryBot.define do
  factory :vulnerability_management_policy_rule, class: 'Security::VulnerabilityManagementPolicyRule' do
    security_policy
    sequence(:rule_index)
    security_policy_management_project_id do
      security_policy.security_orchestration_policy_configuration.security_policy_management_project_id
    end
    no_longer_detected

    trait :no_longer_detected do
      type { Security::VulnerabilityManagementPolicyRule.types[:no_longer_detected] }
      content do
        {
          type: 'no_longer_detected',
          severity_levels: %w[low],
          scanners: %w[sast]
        }
      end
    end
  end
end
