# frozen_string_literal: true

FactoryBot.define do
  factory :vs_finding_map, class: '::Security::VulnerabilityScanning::FindingMap' do
    report_finding factory: :ci_reports_security_finding
    pipeline factory: :ci_pipeline
    purl_type { 'gem' }

    initialize_with do
      ::Security::VulnerabilityScanning::FindingMap.new(**attributes.slice(:pipeline, :report_finding, :purl_type))
        .tap do |object|
        object.finding_id = attributes[:finding]&.id
        object.vulnerability_id = attributes[:vulnerability]&.id
        object.new_record = attributes[:new_record]
        object.identifier_ids = attributes[:identifier_ids].to_a
      end
    end

    skip_create
  end
end
