# frozen_string_literal: true

FactoryBot.define do
  factory :vs_possibly_affected_component, class: '::Gitlab::VulnerabilityScanning::PossiblyAffectedComponent' do
    sequence(:name) { |n| "component-#{n}" }
    sequence(:version) { |n| "v0.0.#{n}" }

    purl_type { 'npm' }
    pipeline { association :ci_pipeline }
    project { pipeline.project }
    source { association :sbom_source }

    trait :container_scanning do
      purl_type { 'apk' }
      source { association :sbom_source, :container_scanning }
    end

    trait :container_scanning_for_registry do
      purl_type { 'apk' }
      source { association :sbom_source, :container_scanning_for_registry }
    end

    skip_create

    initialize_with do
      Gitlab::VulnerabilityScanning::PossiblyAffectedComponent.new(
        name: name,
        version: version,
        purl_type: purl_type,
        project: project,
        pipeline: pipeline,
        source: source
      )
    end
  end
end
