import { GlSprintf } from '@gitlab/ui';
import { shallowMountExtended } from 'helpers/vue_test_utils_helper';
import ActionSection from 'ee/security_orchestration/components/policy_editor/vulnerability_management/action/action_section.vue';
import { mockVulnerabilityManagementObject } from 'ee_jest/security_orchestration/mocks/mock_vulnerability_management_policy_data';

describe('ActionSection', () => {
  let wrapper;

  const defaultActions = mockVulnerabilityManagementObject.actions;

  const factory = (actions = defaultActions) => {
    wrapper = shallowMountExtended(ActionSection, {
      propsData: {
        actions,
      },
      stubs: {
        GlSprintf,
      },
    });
  };

  beforeEach(() => {
    factory();
  });

  it('renders message', () => {
    expect(wrapper.text()).toEqual(
      'Then automatically set the status of these vulnerabilities to Resolved.',
    );
  });
});
