import { mountExtended } from 'helpers/vue_test_utils_helper';
import App from 'ee/security_orchestration/components/policy_editor/app.vue';
import { DEFAULT_ASSIGNED_POLICY_PROJECT } from 'ee/security_orchestration/constants';
import * as urlUtils from '~/lib/utils/url_utility';
import { DEFAULT_PROVIDE } from '../mocks/mocks';

jest.mock('~/lib/utils/url_utility', () => ({
  ...jest.requireActual('~/lib/utils/url_utility'),
  mergeUrlParams: jest.fn(),
}));

describe('Policy Editor', () => {
  let wrapper;

  const createWrapper = () => {
    wrapper = mountExtended(App, {
      propsData: {
        assignedPolicyProject: DEFAULT_ASSIGNED_POLICY_PROJECT,
      },
      provide: {
        ...DEFAULT_PROVIDE,
      },
    });
  };

  const findSelectVulnerabilityManagementPolicyButton = () =>
    wrapper.findByTestId('select-policy-vulnerability_management_policy');

  describe('rendering', () => {
    beforeEach(() => {
      createWrapper();
      findSelectVulnerabilityManagementPolicyButton().vm.$emit('click');
    });

    it('redirects to editor page with correct type', () => {
      expect(urlUtils.mergeUrlParams).toHaveBeenCalledWith(
        { type: 'vulnerability_management_policy' },
        'http://test.host/',
      );
    });
  });
});
