# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Gitlab::VulnerabilityScanning::PossiblyAffectedComponent, feature_category: :software_composition_analysis do
  let_it_be(:sbom_occurrence) { create(:sbom_occurrence) }

  describe '.from_sbom_occurrence' do
    subject(:possibly_affected_component) { described_class.from_sbom_occurrence(sbom_occurrence) }

    it 'converts from an sbom_occurrence to an affected_component' do
      expect(possibly_affected_component).to match(
        have_attributes(
          name: sbom_occurrence.name,
          purl_type: sbom_occurrence.purl_type,
          version: sbom_occurrence.version,
          pipeline: sbom_occurrence.pipeline,
          project: sbom_occurrence.project,
          source: sbom_occurrence.source))
    end
  end
end
