# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Gitlab::VulnerabilityScanning::SecurityScanner, feature_category: :software_composition_analysis do
  describe '.fabricate' do
    let(:scanner_instance) { described_class.fabricate }

    it 'returns a scanner with correct attributes' do
      expect(scanner_instance).to be_an_instance_of(Gitlab::Ci::Reports::Security::Scanner)
      expect(scanner_instance).to have_attributes(
        external_id: described_class::EXTERNAL_ID,
        name: described_class::NAME,
        vendor: described_class::VENDOR,
        version: described_class::VERSION
      )
    end
  end

  describe '#scanner' do
    let(:security_scanner) { described_class.new }
    let(:scanner_instance) { security_scanner.scanner }

    it 'returns a scanner with correct attributes' do
      expect(scanner_instance).to be_an_instance_of(Gitlab::Ci::Reports::Security::Scanner)
      expect(scanner_instance).to have_attributes(
        external_id: described_class::EXTERNAL_ID,
        name: described_class::NAME,
        vendor: described_class::VENDOR,
        version: described_class::VERSION
      )
    end
  end
end
