# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Enums::Vulnerability, feature_category: :vulnerability_management do
  describe '.report_type_feature_category' do
    described_class.report_type_feature_categories.each do |report_type, feature_category|
      describe "when report type is #{report_type} as a symbol" do
        subject { described_class.report_type_feature_category(report_type) }

        it { is_expected.to eq feature_category }
      end

      describe "when report type is #{report_type} as a string" do
        subject { described_class.report_type_feature_category(report_type.to_s) }

        it { is_expected.to eq feature_category }
      end
    end

    describe 'when report type is not mapped' do
      subject { described_class.report_type_feature_category('new_shiny_super_secure_report') }

      it { is_expected.to eq 'unknown' }
    end
  end
end
