# frozen_string_literal: true

require 'spec_helper'

RSpec.describe VulnerabilityUserMention, feature_category: :vulnerability_management do
  describe 'associations' do
    it { is_expected.to belong_to(:vulnerability) }
    it { is_expected.to belong_to(:note) }
  end

  it_behaves_like 'has user mentions' do
    let_it_be(:mentionable_key) { 'vulnerability_id' }
    let_it_be(:mentionable) { create(:vulnerability) }
  end

  context 'with loose foreign key on vulnerability_user_mentions.project_id' do
    it_behaves_like 'cleanup by a loose foreign key' do
      let_it_be(:parent) { create(:project) }
      let_it_be(:model) { create(:vulnerability_user_mention, project_id: parent.id) }
    end
  end

  context 'with loose foreign key on vulnerability_user_mentions.note_id' do
    it_behaves_like 'cleanup by a loose foreign key' do
      let_it_be(:parent) { create(:note) }
      let_it_be(:model) { create(:vulnerability_user_mention, note_id: parent.id) }
    end
  end
end
